package tetris.model.figures;

import tetris.gui.Block;
import tetris.model.Figure;

/**
 * The class ZFigure implements a Z-shaped figure of the Tetris game.
 *
 * @author Stephan Fischli
 * @version 2.1
 */
public class ZFigure extends Figure {

	/**
	 * The color of the figure.
	 */
	private static final int COLOR = 7;

	/**
	 * Creates a Z-shaped figure.
	 *
	 * @param x the x coordinate of the initial position
	 * @param y the y coordinate of the initial position
	 */
	public ZFigure(int x, int y) {
		blocks[0] = new Block(x, y, COLOR);
		blocks[1] = new Block(x - 1, y, COLOR);
		blocks[2] = new Block(x, y - 1, COLOR);
		blocks[3] = new Block(x + 1, y - 1, COLOR);
	}
}
